/* fork2a.c (emx+gcc) */

#include <os2.h>

static int var;

static void say (const char *txt)
{
  ULONG len, written;
  
  len = 0;
  while (txt[len] != 0)
    ++len;
  DosWrite (1, txt, len, &written);
}

void set (void)
{
  var = 42;
}

void check (const char *msg)
{
  say (msg); say (": ");
  if (var == 42)
    say ("FORK2A.DLL OK\r\n");
  else
    say ("FORK2A.DLL failure\r\n");
}
